%define moz_ext_dir %{_datadir}/mozilla/extensions

%define firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%define src_ext_id \{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d\}
%define inst_dir %{moz_ext_dir}/%{firefox_app_id}/%{src_ext_id}

%define seamonkey_app_id \{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a\}
%define seamonkey_inst_dir %{moz_ext_dir}/%{seamonkey_app_id}/%{src_ext_id}

%define thunderbird_app_id \{3550f703-e582-4d05-9a08-453d09bdfdc6\}
%define thunderbird_inst_dir %{moz_ext_dir}/%{thunderbird_app_id}/%{src_ext_id}

# Do not build a debug package, we have nothing to strip
%define debug_package %{nil}

Name:			mozilla-adblockplus
Version:		2.2.1
Release:		1%{?dist}
Summary:		Adblocking extension for Mozilla Firefox, Thunderbird, and Seamonkey

Group:			Applications/Internet
License:		MPLv1.1
URL:			https://adblockplus.org/
Source0:		https://adblockplus.org/downloads/adblockplus-%{version}-source.tgz
Patch0:			mozilla-adblockplus-2.2.1-buildNum.patch
Patch1:			disable-safeads.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:		noarch

%if 0%{?rhel}
BuildRequires:	zip, python, sed, python-jinja2-26
%else
BuildRequires:	zip, python, sed, python-jinja2
%endif
Requires:		mozilla-filesystem


%description
Adblock Plus is a content-filtering extension for the Mozilla Firefox- and
Mozilla Application Suite-based web browsers. Adblock Plus allows users to
prevent page elements, such as advertisements, from being downloaded and
displayed.
It features improvements to the user interface, filter subscriptions, and
element hiding over the original Adblock extension.


%prep
%setup -q -c mozilla-adblockplus-%{version}
#setup -q -a 1
%patch0 -p 1

%if 0%{?fedora} < 18
%patch1 -p 1
%elseif 0%{?rhel}
%patch1 -p 1
%endif

%build
mkdir -p _build

%if 0%{?rhel}
PYTHONPATH=/usr/lib/python2.6/site-packages/Jinja2-2.6-py2.6.egg \
    python build.py build --release -b %{release} _build/%{name}-%{version}-%{release}.xpi
%else
python build.py build --release -b %{release} _build/%{name}-%{version}-%{release}.xpi
%endif


%install
rm -rf %{buildroot}
cd _build
unzip %{name}-%{version}-%{release}.xpi
install -dm 755 %{buildroot}%{inst_dir}
install -pm 644 chrome.manifest icon.png icon64.png install.rdf bootstrap.js %{buildroot}%{inst_dir}

install -Dpm 644 chrome/content/errors.html %{bulidroot}%{inst_dir}/chrome/content/errors.html
install -Dpm 644 chrome/content/objtabs.css %{bulidroot}%{inst_dir}/chrome/content/objtabs.css

install -dm 755 %{buildroot}/%{inst_dir}/chrome/content/ui
for f in chrome/content/ui/*; do
install -Dpm 644 ${f} \
    %{buildroot}%{inst_dir}/${f}
done

install -dm 755 %{buildroot}/%{inst_dir}/chrome/skin
for f in chrome/skin/*; do
install -Dpm 644 ${f} \
    %{buildroot}%{inst_dir}/${f}
done

install -dm 755 %{buildroot}/%{inst_dir}/chrome/locale
for f in chrome/locale/*; do
	install -dm 755 ${f} \
		%{buildroot}%{inst_dir}/${f}
	for g in ${f}/*; do
		install -Dpm 644 ${g} \
			%{buildroot}%{inst_dir}/${g}
	done
done

install -dm 755 %{buildroot}/%{inst_dir}/defaults
for f in defaults/*; do
install -Dpm 644 ${f} \
    %{buildroot}%{inst_dir}/${f}
done

install -dm 755 %{buildroot}/%{inst_dir}/lib
for f in lib/*; do
install -Dpm 644 ${f} \
    %{buildroot}%{inst_dir}/${f}
done

# symlink from seamonkey extension to firefox extension
mkdir -p %{buildroot}%{moz_ext_dir}/%{seamonkey_app_id}
ln -s %{inst_dir} %{buildroot}%{seamonkey_inst_dir}

# symlink from thunderbird extension to firefox extension
mkdir -p %{buildroot}%{moz_ext_dir}/%{thunderbird_app_id}
ln -s %{inst_dir} %{buildroot}%{thunderbird_inst_dir}




%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{inst_dir}
%{seamonkey_inst_dir}
%{thunderbird_inst_dir}

%changelog
* Fri Nov 23 2012 Russell Golden <niveusluna@niveusluna.org> - 2.2.1-1
- Update to upstream 2.2.1, which fixes a major bug in Firefox
  versions 9-13.

* Wed Nov 21 2012 Russell Golden <niveusluna@niveusluna.org> - 2.2-1
- Update to upstream 2.2
- Take note of the auto-correct feature for URLs.
- Re-enable safe ads for Fedora 18 and rawhide.

* Sat Jul 07 2012 Russell Golden <niveusluna@niveusluna.org> - 2.1.1-1
- update to upstream 2.1.1

* Mon Jul 02 2012 Russell Golden <niveusluna@niveusluna.org> - 2.1-2
- update to upstream 2.1
- add changelog

* Fri Jan 20 2012 Russell Golden <niveusluna@niveusluna.org> - 2.0.3-3
- build release build, not debug build

* Thu Jan 05 2012 Russell Golden <niveusluna@niveusluna.org> - 2.0.3-2
- Disable the "safe ads" feature by default

* Thu Jan 05 2012 Russell Golden <niveusluna@niveusluna.org> - 2.0.3-1
- Update to upstream 2.0.3 release

* Tue Nov 15 2011 Russell Golden <niveusluna@niveusluna.org> - 1.3.10-3
- Rebuild with buildroot override for firefox 8

* Sun Oct 30 2011 Russell Golden <niveusluna@niveusluna.org> - 1.3.10-2
- Include support for Thunderbird and SeaMonkey

* Wed Oct 05 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.10-1
- Update to 1.3.9 for FF7

* Thu Aug 18 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.9-1
- Update to 1.3.9 for FF6

* Fri Jun 03 2011 Andreas Thienemann <andreas@bawue.net> - 1.3.8-1
- Updated to 1.3.8 upstream release

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Mar 19 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.1.3-1
- Update to 1.1.3 (#569137).

* Thu Aug 27 2009 Andreas Thienemann <andreas@bawue.net> - 1.1.1-1
- Updated to 1.1.1 upstream release

* Sun Jul 19 2009 Andreas Thienemann <andreas@bawue.net> - 1.1-1
- Updated to 1.1 upstream release

* Wed Apr 29 2009 Andreas Thienemann <andreas@bawue.net> - 1.0.2-1
- Updated to 1.0.2 upstream release

* Tue Apr 07 2009 Andreas Thienemann <andreas@bawue.net> - 1.0.1-1
- Initial package
